using MotorPlantDataModels.Enums;
using MotorPlantDataModels.Models;
using System.ComponentModel;

namespace MotorPlantContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }
        public int EngineId { get; set; }
        public int ClientId { get; set; }
        public int? ImplementerId { get; set; } = null;
        [DisplayName("Клиент")]
        public string ClientFIO { get; set; } = string.Empty;
        [DisplayName("Двигатель")]
        public string EngineName { get; set; } = string.Empty;
        [DisplayName("Исполнитель")]
        public string ImplementerFIO { get; set; } = string.Empty;
        [DisplayName("Количество")]
        public int Count { get; set; }
        [DisplayName("Сумма")]
        public double Sum { get; set; }
        [DisplayName("Статус")]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.Now;
        [DisplayName("Дата выполнения")]
        public DateTime? DateImplement { get; set; }
    }

}
